
```no_run
use bpaf::*;

pub fn options() -> OptionParser<Vec<u32>> {
    let argument = long("argument")
        .help("important argument")
        .argument("ARG")
        .many();
    argument.to_options()
}

fn main() {
    println!("{:?}", options().run())
}
```


Output

Run inner parser as many times as possible collecting all the new results
First `false` is collected from a switch even if it is not consuming anything

$ app --argument 10 --argument 20
[10, 20]

If there's no matching parameters - it would produce an empty vector.

$ app 
[]

In usage lines `many` items are indicated with `...`

$ app --help

Usage: app [--argument=ARG]...

Available options:

    --argument=ARG

important argument

-h, --help

Prints help information

